
QGIS Application - Bug report #10081

Regression when reprojecting layers

2014-04-16 03:24 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18549

Description

Open the attached project, it has a polygon layer that is defined in CRS 3857 and the extent that is the full BB of the same CRS 3857.

Then there is also a layer that was obtained by "save as..." of the first one, choosing as CRS 4326.

Then activate the OTFR in 3857 or 4326 and start zooming in/out, funny things happen (see attached screencast).

This was not happening on previous QGIS releases (1.8).

Associated revisions

Revision 8f5fe10f - 2014-06-11 02:19 PM - Martin Dobias

Fix #10081 (problems with reprojection of layers)

History

#1 - 2014-06-11 05:21 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"8f5fe10fa0c8b4216d9ff0b01cf6c12bd0cf92f0".

Files

teste_grids_reprojection.zip 7.39 KB 2014-04-16 Giovanni Manghi

projecttions_issues.mp4 2.67 MB 2014-04-16 Giovanni Manghi
